"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngAdd = exports.addCoreUIAngularChartJs = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const package_config_1 = require("./package-config");
const pkgJson = require("../../package.json");
function addCoreUIAngularChartJs() {
    return (tree, context) => {
        context.logger.info('Installing @coreui/angular-chartjs ...');
        context.addTask(new tasks_1.NodePackageInstallTask());
        return tree;
    };
}
exports.addCoreUIAngularChartJs = addCoreUIAngularChartJs;
function ngAdd() {
    return (tree, context) => {
        context.logger.info(``);
        context.logger.info('Installing @coreui/angular-chartjs dependencies...');
        const ngCoreVersionTag = (0, package_config_1.getPackageVersionFromPackageJson)(tree, '@angular/core');
        context.logger.info(`@angular/core version ${ngCoreVersionTag}`);
        if (!ngCoreVersionTag) {
            throw new schematics_1.SchematicsException('@angular/core version not found');
        }
        const pkg = pkgJson;
        const libPeerDeps = ['@coreui/chartjs', 'chart.js'];
        libPeerDeps.forEach((dep) => {
            const version = pkg.peerDependencies[dep];
            context.logger.info(`Including ${dep} version ${version}`);
            (0, package_config_1.addPackageToPackageJson)(tree, dep, version);
        });
        const libDeps = ['lodash-es'];
        libDeps.forEach((dep) => {
            const version = pkg.dependencies[dep];
            context.logger.info(`Including ${dep} version ${version}`);
            (0, package_config_1.addPackageToPackageJson)(tree, dep, version);
        });
        return (0, schematics_1.chain)([addCoreUIAngularChartJs()]);
    };
}
exports.ngAdd = ngAdd;
//# sourceMappingURL=index.js.map